<?php

class m120905_184758_tbl_usuarios extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_usuarios', array(
            'id' => 'pk',
            'id_empresa' => 'integer',
            'estado' => 'decimal(1,0)',
            'clave_seguridad' => 'string',
            'email' => 'string NOT NULL',
            'nombre' => 'string',
            'apellidos' => 'string',
            'password' => 'string NOT NULL',
            'tipo' => 'string NOT NULL',
            'titulo' => 'string',
            'localidad' => 'string',
            'telefono' => 'string',
            'descripcion' => 'text',
            'last_login_time' => 'datetime',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->addForeignKey('fk_usuarios_1', 'tbl_usuarios', 'id_empresa', 'tbl_empresas', 'id', 'CASCADE', 'CASCADE');
    }

    public function safeDown() {
        $this->dropForeignKey('fk_usuarios_1', 'tbl_usuarios');
        $this->dropTable('tbl_usuarios');
    }

}